<?php

class ZaliczGmine_Button extends WP_Widget {
	
    public function __construct() {
		parent::__construct(
			'zalicz_gmine_button_widgetu', 'Zalicz Gmin&#281; - Button',
			array('description' => 'Button z zaliczgmine.pl')
		);
    }

    public function widget( $args, $instance ) {
		$title = apply_filters('widget_title', $instance['title']);
        echo $args['before_widget'];
		
        if(!empty($title)) echo $args['before_title'].$title.$args['after_title'];
		if(isset($instance['user_id'])) 
		{
			$user_id = $instance['user_id'];
			$theme = $instance['theme'];
			echo '<a href="http://zaliczgmine.pl/users/view/'.$user_id.'"><img src="http://zaliczgmine.pl/img/buttons/button-'.$user_id.'-'.$theme.'.png" /></a>';
		}
        echo $args['after_widget'];
    }

    public function form( $instance ) {
		if(isset($instance['title'])) $title = $instance['title'];
		else $title = 'Mj widget';
		echo '<p><label for="'.$this->get_field_id('title').'">'.__('Tytu&#322;:').'</label><input class="widefat" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.esc_attr($title).'" /></p>';		
		
		if(isset($instance['user_id'])) $user_id = $instance['user_id'];
		else $user_id = '0';
		echo '<p><label for="'.$this->get_field_id('user_id').'">'.__('ID u&#380;ytkownika:').'</label><input class="widefat" id="'.$this->get_field_id('user_id').'" name="'.$this->get_field_name('user_id').'" type="text" value="'.esc_attr($user_id).'" /></p>';	

		if(isset($instance['theme'])) $theme = $instance['theme'];
		else $theme = 'black';
		echo '<p><label for="'.$this->get_field_id('theme').'">'.__('Temat:').'</label><select class="widefat" id="'.$this->get_field_id('theme').'" name="'.$this->get_field_name('theme').'">';
		
		echo '<option value="black" ';
		if ( $theme == 'black' ) echo 'selected="selected"';
		echo '>Czarny</option>';
		
		echo '<option value="brown" ';
		if ( $theme == 'brown' ) echo 'selected="selected"';
		echo '>Br&#261;zowy</option>';
		
		echo '<option value="white" ';
		if ( $theme == 'white' ) echo 'selected="selected"';
		echo '>Bia&#322;y</option>';
		
		echo '<option value="pink" ';
		if ( $theme == 'pink' ) echo 'selected="selected"';
		echo '>R&#243;&#380;owy</option>';
		echo '</select></p>';		
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';
		$instance['user_id'] = (!empty($new_instance['user_id'])) ? strip_tags($new_instance['user_id']) : '0';
		$instance['theme'] = (!empty($new_instance['theme'])) ? strip_tags($new_instance['theme']) : 'black';
        return $instance;
    }
}

?>