<?php

class ZaliczGmine_Mapa extends WP_Widget {
	
    public function __construct() {
		parent::__construct(
			'zalicz_gmine_mapa_widget', 'Zalicz Gmin&#281; - Mapa',
			array('description' => 'Mapa z zaliczgmine.pl')
		);
    }

    public function widget( $args, $instance ) {
		$title = apply_filters('widget_title', $instance['title']);
        echo $args['before_widget'];
		
        if(!empty($title)) echo $args['before_title'].$title.$args['after_title'];
		if(isset($instance['user_id'])) 
		{
			$user_id = $instance['user_id'];
			echo '<a href="http://zaliczgmine.pl/users/view/'.$user_id.'" target="_blank"> <img src="http://zaliczgmine.pl/img/maps/map-'.$user_id.'-s.png" border="0" /> </a>';
		}
        echo $args['after_widget'];
    }

    public function form( $instance ) {
		if(isset($instance['title'])) $title = $instance['title'];
		else $title = 'Mj widget';
		echo '<p><label for="'.$this->get_field_id('title').'">'.__('Tytu&#322;:').'</label><input class="widefat" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.esc_attr($title).'" /></p>';		
		
		if(isset($instance['user_id'])) $user_id = $instance['user_id'];
		else $user_id = '0';
		echo '<p><label for="'.$this->get_field_id('user_id').'">'.__('ID u&#380;ytkownika:').'</label><input class="widefat" id="'.$this->get_field_id('user_id').'" name="'.$this->get_field_name('user_id').'" type="text" value="'.esc_attr($user_id).'" /></p>';		
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';
		$instance['user_id'] = (!empty($new_instance['user_id'])) ? strip_tags($new_instance['user_id']) : '0';
        return $instance;
    }
}

?>